### Function

# EBookContacts NameWestern parse

#### Declaration [src]

    ENameWestern*
    e_name_western_parse (
      const gchar* full_name
    )

#### Description [src]

Parses `full_name` and returns an `ENameWestern` struct filled with the component parts of the name.

#### Parameters

`full_name`

  Type: `const gchar*`

  A string containing a western name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ENameWestern`

A new `ENameWestern` struct.

The caller of the function takes ownership of the data, and is responsible for freeing it.